Displaing locked users in Administration raises an error
2011-04-20 14:46 - Karel Piéman
Target version:

Resolution: Duplicate Affected version:

Description

I've just got current trunk version(Redmine 1.1.2.devel.5505). When | went to Administration->Users and tried to display all locked
users | got following error:

Processing UsersController#index (for 192.168.1.136 at 2011-04-20 14:41:44) [GET]

Parameters: {"name"=>"",

action"=>"index", "group_id"=>"", "controller"=>"users", "status"=>"3"}

Rendering template within layouts/admin

Rendering users/index

ActionView::TemplateError (undefined method “anonymous_user_path' for #<ActionView::Base:0x7fd213608b40>) on line #49 of
app/views/users/index.rhtml:

46:

47: <td class="buttons">
48:

49:

User.current == user >

50: </td>

51: </tr>

52: < end -%>

app/views/users/index.rhtml:49:in

<td class="last_login_on" align="center"><%= format_time(user.last_login_on) unless user.last_login_on.nil? ></td>

<= change_status_link(user) >
<= link_to(I(:button_delete), user, :confirm => I(:text_are_you_sure), :method => :delete, :class => 'icon icon-del') unless

_run_rhtml_appédiviewsd47usersd7index46rhtml’

app/views/users/index.rhtml:38:in “each'

app/views/users/index.rhtml:38:in

_run_rhtml_appédiviewsd47usersd7index46rhtml’

app/controllers/users_controller.rb:64:in "~ index'
app/controllers/users_controller.rb:61l:in "~ index'
8/phusion_passenger/rack/request_handler.rb:92:in "process_request'
8/phusion_passenger/abstract_request_handler.rb:207:in "main_loop'
8/phusion_passenger/railz/application_spawner.rb:418:in "“start_request_handler

8/phusion_passenger/railz/application_spawner.rb:358:in "handle_spawn_applicat

8/phusion_passenger/utils.rb:184:in "safe_fork'
8/phusion_passenger/railz/application_spawner.rb:354:in "handle_spawn_applicat

8/phusion_passenger/abstract_server.rb:352:in '_ send_ '
8/phusion_passenger/abstract_server.rb:352:in ‘main_loop'
8/phusion_passenger/abstract_server.rb:196:in 'start_synchronously'
8/phusion_passenger/abstract_server.rb:163:in "start'

8/phusion_passenger/railz/application_spawner.rb:213:in " start'
8/phusion_passenger/spawn_manager.rb:262:in "~ spawn_rails_application'
8/phusion_passenger/abstract_server_collection.rb:126:in "~ lookup_or_add'
8/phusion_passenger/spawn_manager.rb:256:in "~ spawn_rails_application'

8/phusion_passenger/abstract_server_collection.rb:80:in "“synchronize'

Related issues:

Is duplicate of Redmine - Defect #7556: ActionView::TemplateError (undefined ...

Closed 2011-02-05

History

#1 - 2011-04-20 17:00 - Etienne Massip

- Status changed from New to Closed
https://www.redmine.org/issues/49

- Resolution set to Duplicate

Closed as duplicate of #7556 which should be closed too (no feedback but looks to be a database issue).
